%global momorel 2

Summary: An API for audio analysis and feature extraction plugins
Name: vamp-plugin-sdk
Version: 2.1
Release: %{momorel}m%{?dist}
License: BSD
Group: System Environment/Libraries
URL: http://www.vamp-plugins.org/
Source0: http://dl.sourceforge.net/project/vamp/%{name}/%{version}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-libdir.patch
Patch1: %{name}-2.0-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libsndfile-devel
BuildRequires: pkgconfig
BuildRequires: sed

%description
Vamp is an API for C and C++ plugins that process sampled audio data
to produce descriptive output (measurements or semantic observations).

%package devel
Summary: Header files and static libraries from vamp-plugin-sdk
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on vamp-plugin-sdk.

%prep
%setup -q

%patch0 -p1 -b .fix-build

sed -i 's|/lib/vamp|/%{_lib}/vamp|g' src/vamp-hostsdk/PluginHostAdapter.cpp
sed -i 's|/lib/|/%{_lib}/|g' src/vamp-hostsdk/PluginLoader.cpp

%patch1 -p1 -b .gcc44~

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/libvamp-*sdk.la

%check
# scan shared libs for unpatched '/lib' strings to prevent issues
# on 64-bit multilib platforms.
[ $(strings %{buildroot}%{_libdir}/lib*.so.?|grep /lib|sed -e 's!/%{_lib}!/__FEDORA-LIB__!g'|grep -c /lib) -eq 0 ]

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING INSTALL README* build/README.linux
%{_libdir}/vamp
%{_libdir}/libvamp-hostsdk.so.*
%{_libdir}/libvamp-sdk.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/vamp-rdf-template-generator
%{_bindir}/vamp-simple-host
%{_includedir}/vamp
%{_includedir}/vamp-hostsdk
%{_includedir}/vamp-sdk
%{_libdir}/pkgconfig/vamp-hostsdk.pc
%{_libdir}/pkgconfig/vamp-sdk.pc
%{_libdir}/pkgconfig/vamp.pc
%{_libdir}/libvamp-hostsdk.a
%{_libdir}/libvamp-hostsdk.so
%{_libdir}/libvamp-sdk.a
%{_libdir}/libvamp-sdk.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1-2m)
- full rebuild for mo7 release

* Sat May 22 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1-1m)
- version 2.1
- update libdir.patch

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Aug 13 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0-4m)
- add patch for gcc44, generated by gen44patch(v1)

* Sun Jun 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-3m)
- add %%check section from Fedora for x86_64

* Sun Jun 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-2m)
- fix build on x86_64 (import libdir.patch from Fedora)

* Sun Jun 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-1m)
- initial package for rubberband-1.3
